/*-----------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support. Licensed under the MIT license - see
  http://www.qsl.net/ve3lny/MIT%20License.html

  led.h
-----------------------------------------------------------------*/

#ifndef _LED_H_
#define _LED_H_ 1

#define LED_ENCODER_PORT	PORTA
#define LED_ENCODER_A		PA4
#define LED_ENCODER_B		PA5
#define LED_ENCODER_C		PA6
#define LED_ENCODER_D		PA7
#define LED_DECIMAL_PORT	PORTB
#define LED_DECIMAL			PB3
#define LED_DIGIT_1_PORT	PORTB
#define LED_DIGIT_1			PB5
#define LED_DIGIT_2_PORT	PORTA
#define LED_DIGIT_2			PA2


#define NO_DIGIT 6      // to turn off all digits

// Functions

void format_counter( void );
void ledSelectDigit( char cDigit );
void ledOutputNumber( char cNumber, char cDecimal );

#endif
